# Generated by Django 4.1.7 on 2023-03-26 21:49

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="IdentityProvider",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "label",
                    models.CharField(
                        help_text=(
                            "A unique label / key used to identify the IdP to use. "
                            "(Recommended value is the name or URL of the IdP.)"
                        ),
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "entity_id",
                    models.CharField(
                        help_text="The entity ID provided by the IdP.",
                        max_length=255,
                        verbose_name="Entity ID",
                    ),
                ),
                (
                    "sso_url",
                    models.CharField(
                        help_text="The SSO URL provided by the IdP.",
                        max_length=255,
                        verbose_name="SSO URL",
                    ),
                ),
                (
                    "x509_cert",
                    models.TextField(
                        help_text="The X.509 certificate provided by the IdP.",
                        verbose_name="X509 Certificate",
                    ),
                ),
                (
                    "user_permanent_id_attr",
                    models.CharField(
                        help_text=(
                            "The attribute provided by the IdP for the user's unique ID property (required)."
                        ),
                        max_length=255,
                    ),
                ),
                (
                    "first_name_attr",
                    models.CharField(
                        blank=True,
                        help_text=(
                            "The name of the attribute provided by the IdP for the 'user.first_name' property."
                        ),
                        max_length=255,
                    ),
                ),
                (
                    "last_name_attr",
                    models.CharField(
                        blank=True,
                        help_text=(
                            "The name of the attribute provided by the IdP for 'user.last_name' property"
                        ),
                        max_length=255,
                    ),
                ),
                (
                    "email_attr",
                    models.CharField(
                        blank=True,
                        help_text=(
                            "The name of the attribute provided by the IdP for the 'user.email' property."
                        ),
                        max_length=255,
                    ),
                ),
                (
                    "username_attr",
                    models.CharField(
                        blank=True,
                        help_text=(
                            "The username attribute provided by the IdP for the 'user.username' property."
                        ),
                        max_length=255,
                    ),
                ),
                ("is_enabled", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
